## GnomeDbConnectionProperties

GnomeDbConnectionProperties — Shows the properties of a GdaConnection object

##

# Synopsis

    struct      GnomeDbConnectionProperties;
    struct      GnomeDbConnectionPropertiesClass;
    struct      GnomeDbConnectionPropertiesPrivate;
    GtkWidget*  gnome_db_connection_properties_new
                                                (GdaConnection *cnc);
    GdaConnection* gnome_db_connection_properties_get_connection
                                                (GnomeDbConnectionProperties *props);
    void        gnome_db_connection_properties_set_connection
                                                (GnomeDbConnectionProperties *props,
                                                 GdaConnection *cnc);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbConnectionProperties

## Implemented Interfaces

GnomeDbConnectionProperties implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "connection"           GdaConnection        : Read / Write

## Description

## Details

### struct GnomeDbConnectionProperties

    struct GnomeDbConnectionProperties;

### struct GnomeDbConnectionPropertiesClass

    struct GnomeDbConnectionPropertiesClass {

    	GtkVBoxClass parent_class;
    };

### struct GnomeDbConnectionPropertiesPrivate

    struct GnomeDbConnectionPropertiesPrivate;

### gnome_db_connection_properties_new ()

    GtkWidget*  gnome_db_connection_properties_new
                                                (GdaConnection *cnc);

Create a new GnomeDbConnectionProperties widget.

`cnc` : | a GdaConnection object.
Returns : |

### gnome_db_connection_properties_get_connection ()

    GdaConnection* gnome_db_connection_properties_get_connection
                                                (GnomeDbConnectionProperties *props);

`props` : |
Returns : |

### gnome_db_connection_properties_set_connection ()

    void        gnome_db_connection_properties_set_connection
                                                (GnomeDbConnectionProperties *props,
                                                 GdaConnection *cnc);

`props` : |
`cnc` : |

## Properties

"`connection`" (GdaConnection : Read / Write) |